﻿' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page
    Dim Waiters() As String = {"Ben", "Sue", "Lee", "Kim", "Pat", "Eve", "Sal"}
    Dim Drivers() As String = {"George", "Kim", "Sal", "Robert", "Jenna", "Rosemary"}

    ''' <summary>
    ''' Invoked when this page is about to be displayed in a Frame.
    ''' </summary>
    ''' <param name="e">Event data that describes how this page was reached.  The Parameter
    ''' property is typically used to configure the page.</param>
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
    
    End Sub

    Private Sub DisplayArray_Click(sender As Object, e As RoutedEventArgs) Handles DisplayArray.Click
        Dim i As Short
        For i = 0 To 6
            DataPanel.Text = DataPanel.Text & Waiters(i) & vbCrLf
        Next i
    End Sub

    Private Sub SortArray_Click(sender As Object, e As RoutedEventArgs) Handles SortArray.Click
        Array.Sort(Drivers)
        Dim Count As Short
        For Count = 0 To 5
            DataPanel.Text = DataPanel.Text & Drivers(Count) & vbCrLf
        Next Count

    End Sub

    Private Sub ReverseArray_Click(sender As Object, e As RoutedEventArgs) Handles ReverseArray.Click
        Array.Reverse(Drivers)
        Dim Count As Short
        For Count = 0 To 5
            DataPanel.Text = DataPanel.Text & Drivers(Count) & vbCrLf
        Next Count

    End Sub

    Private Sub LinqSingleName_Click(sender As Object, e As RoutedEventArgs) Handles LinqSingleName.Click
        Dim queryData = From person In Waiters
                        Where person = "Sue"

        For Each person In queryData
            DataPanel.Text = DataPanel.Text & "LINQ query found a person named " &
                person & vbCrLf
        Next
    End Sub

    Private Sub LinqArrayOverlap_Click(sender As Object, e As RoutedEventArgs) Handles LinqArrayOverlap.Click
        Dim Crosstrained = From person In Waiters, driver In Drivers
                           Where person = driver
                           Select person

        For Each person In Crosstrained
            DataPanel.Text = DataPanel.Text & "LINQ found " & person &
                " in both lists" & vbCrLf
        Next
    End Sub

    Private Sub XmlQuery_Click(sender As Object, e As RoutedEventArgs) Handles XmlQuery.Click
        Dim AllRunners = XElement.Load("Assets/ListOfRunners.xml")
        Dim runnerQuery = From athlete In AllRunners.Descendants("Runner")
                          Where athlete.Attribute("Age").Value >= 35
                          Select FName = athlete.Attribute("FirstName").Value,
                                 LName = athlete.Attribute("LastName").Value

        For Each person In runnerQuery
            DataPanel.Text = DataPanel.Text & person.FName & " " & person.LName &
                vbCrLf
        Next
    End Sub
End Class
